Bug 126485 - in debug version - very large ini file may cause buffer overflow
in debug version - very large ini file may cause buffer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ia32el (Show other bugs)
3.0
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-22 07:17 EDT by Yoav Zach
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version: 1.0-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 13:52:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fixes the possible bof problem when reading the config file (453 bytes, text/plain)
2004-06-22 07:18 EDT, Yoav Zach
no flags Details

  None (edit)
Description Yoav Zach 2004-06-22 07:17:53 EDT
Description of problem:
The function that reads the ini file in debug mode puts a null char 
at the end of the text read from the file. this null char may be out 
of bounds of the input buffer.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Yoav Zach 2004-06-22 07:18:39 EDT
Created attachment 101329 [details]
fixes the possible bof problem when reading the config file

Note You need to log in before you can comment on or make changes to this bug.